org.modeshape.web.jcr.rest.client.domain

## Class ChildNodeDefinition.Id

- java.lang.Object
- - org.modeshape.web.jcr.rest.client.domain.ChildNodeDefinition.Id

- Enclosing class:
    ChildNodeDefinition

      protected static class ChildNodeDefinition.Id
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isMultiple`
    `protected String` | `name`
    `protected Set<String>` | `requiredTypes`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ChildNodeDefinition.Id(String name, boolean isMultiple, Set<String> requiredTypes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected final String name

    - #### isMultiple

          protected final boolean isMultiple

    - #### requiredTypes

          protected final Set<String> requiredTypes

  - ### Constructor Detail

    - #### ChildNodeDefinition.Id

          protected ChildNodeDefinition.Id(String name,
                                boolean isMultiple,
                                Set<String> requiredTypes)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.